<?php
ini_set('display_errors', 1);
$dbh = new PDO('sqlite:../invites.db');

$stmt = $dbh->prepare("SELECT * FROM events");
$stmt->execute();
?>
<html>
<body>
<h1>Events</h1>

<?php
while ($event = $stmt->fetch(PDO::FETCH_ASSOC)):
?>
    <h2><?= htmlentities($event['title']) ?></h2>
<?php
    $event_date = new \DateTime($event['event_date']);
    switch ($event['event_type']) :
        case 'all_day':
?>
            <p>This is an all day event on <?= $event_date->format("F j, Y") ?>
<?php
            break;
        default:
?>
             <p>This event starts at <?= $event_date->format('F j, Y H:i a') ?></p>
<?php
            break;
    endswitch;
?>
    <p><a href="./rsvp.php?event=<?= $event['uid'] ?>">RSVP</a></p>
    <hr />
<?php
endwhile;
?>
</body>
</html>
