<?php
require (__DIR__ . '/vendor/autoload.php');

ini_set('display_errors', 1);
$dbh = new PDO('sqlite:../invites.db');
$stmt = $dbh->prepare("SELECT * FROM events LIMIT 2");
$stmt->execute();
?>
<html>
<body>
<h1>Events</h1>

<?php
while ($row = $stmt->fetch(PDO::FETCH_ASSOC)):
    $event = new \Phparch\Event($row['id'], $row['title'],
        $row['event_date'], $row['event_type'], $row['uid'])
?>
    <h2><?= htmlentities($event->getTitle()) ?></h2>
    <p><?= $event->getDescription() ?></p>
    <p><a href="./rsvp.php?event=<?= $event->getUid() ?>">RSVP</a></p>
    <hr />
<?php
endwhile;
?>
</body>
</html>

