<?php
require (__DIR__ . '/vendor/autoload.php');

ini_set('display_errors', 1);
$dbh = new PDO('sqlite:../invites.db');
$stmt = $dbh->prepare("SELECT * FROM events");
$stmt->execute();
?>
<html>
<body>
<h1>Events</h1>

<?php
while ($row = $stmt->fetch(PDO::FETCH_ASSOC)):
    $event = \Phparch\Events\Factory::fromArray($row);
?>
    <h2><?= htmlentities($event->getTitle()) ?></h2>
    <p><?= $event->getDescription() ?></p>
    <p><a href="./rsvp.php?event=<?= $event->getUid() ?>">RSVP</a></p>
    <hr />
<?php
endwhile;
?>
</body>
</html>

