<?php

namespace Phparch\Replies;

class Repository
{
    protected $dbh;

    public function __construct(\PDO $dbh) {
        $this->dbh = $dbh;
    }

    public function save(Reply $Reply) {
        $stmt = $this->dbh->prepare(
            "REPLACE INTO replies (event_id, email, reply, updated)
            VALUES (?, ?, ?, ?)");
        $stmt->execute([
            $Reply->getEventId(),
            $Reply->getEmail(),
            $Reply->getReply(),
            $Reply->getUpdated()->format('Y-m-d H:i:s')
        ]);
    }
}