<?php

namespace Phparch\Controllers;

use Phparch\Events\RepositoryInterface;

class Events
{
    protected $EventRepository;

    public function __construct(RepositoryInterface $EventRepository) {
        $this->EventRepository = $EventRepository;
    }

    public function index() {
?>
<html>
<body>
<h1>Events</h1>

<?php
foreach ($this->EventRepository->getAll() as $event):
?>
    <h2><?= htmlentities($event->getTitle()) ?></h2>
    <p><?= $event->getDescription() ?></p>
    <p><a href="/rsvp/<?= $event->getUid() ?>">RSVP</a></p>
    <hr />
<?php
endforeach;
?>
</body>
</html>
<?php
    }
}