<?php
use PHPUnit\Framework\TestCase;

class EventFactoryTest extends TestCase
{
    public function testMakesAllDayEvent() {
        $Event = Phparch\Events\Factory::fromArray([
            'id' => 1,
            'title' => "All Day Event",
            'event_date' => '2018-12-31',
            'event_type' => 'all_day',
            'uid' => '89duT7a',
        ]);

        $this->assertInstanceOf('Phparch\Events\AllDay', $Event);
        $this->assertEquals(
            'This is an all day event on December 31, 2018',
            $Event->getDescription()
        );
    }
}