<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

$db_file = __DIR__ . '/invites.db';

echo $db_file;

if (file_exists($db_file)) {
    unlink($db_file);
}

try {
    $dbh = new PDO('sqlite:' . $db_file);

    $dbh->exec("CREATE TABLE `events` (
      id INTEGER PRIMARY KEY,
      title TEXT NOT NULL,
      event_date DATETIME,
      event_type TEXT NOT NULL,
      link TEXT,
      uid TEXT NOT NULL      
    )");
    print_r($dbh->errorInfo());

    $dbh->exec("INSERT INTO events values (null, 'MadisonPHP', '2018-11-02', 'all_day', null, 'e56y3rt')");
    $dbh->exec("INSERT INTO events values (null, 'php[arch] release', '2018-12-01 12:00', 'timed', null, 'rbx87nj')");
    $dbh->exec("INSERT INTO events values (null, 'Security Webinar', '2018-12-15 13:30', 'webinar', 'https://example.com/webinar', 'jus56ar9')");
    print_r($dbh->errorInfo());

    $dbh->exec("CREATE TABLE IF NOT EXISTS replies (      
      event_id INTEGER,
      email TEXT NOT NULL,
      reply TEXT,      
      updated DATETIME,
      PRIMARY KEY (event_id, email)
    )");
    print_r($dbh->errorInfo());

} catch (\Exception $ex) {
    echo $ex->getMessage();
}